Inducts
POST
/api/v3/inducts/{code}/arrivalsReport a container arriving at an induct point
Called by middleware/PLC integration when a box is detected at an induct. The induct code is configured per induct point in the 3D overview editor. The container is upserted by barcode and placed at the induct's position on the conveyor, which makes it appear live in the 3D view.
Parameters
codepathrequiredstringRequest body (optional)
barcodestringrequiredtypeenumtotepalletcartonbinshelf
notesstringResponses
200Arrival recorded
containerobjectrequired
containerobjectrequiredidstring (uuid)requiredbarcodestringrequiredtypeenumrequiredtotepalletcartonbinshelf
statusenumrequiredavailablein_usein_transitmaintenanceretired
currentConveyorIdstring (uuid)requiredcurrentPathIdstringrequiredcurrentDistancenumberrequiredlastSeenAtstringrequiredinductobjectrequired
inductobjectrequiredidstringrequiredcodestringconveyorIdstring (uuid)required404Induct code not found
errorstringrequiredSending requests from a browser
Open https://v3.revolutionstreetwxs.io/api/v3/docs to send requests to this endpoint with your API key.